Change log for aptdaemon package in Ubuntu

175 of 194 results
Published in zesty-release on 2016-10-18
Published in yakkety-release on 2016-08-18
Deleted in yakkety-proposed (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu16) yakkety; urgency=medium

  * debian/control:
    - Have python(3)-aptdaemon depend on aptdaemon (LP: #1605868)

 -- Jeremy Bicha <email address hidden>  Wed, 17 Aug 2016 12:54:52 -0400
Superseded in yakkety-release on 2016-08-18
Deleted in yakkety-proposed on 2016-08-19 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu15) yakkety; urgency=medium

  * debian/patches/drop_pkcompat.patch: don't call on pkcompat's PackageKit
    implementation. Instead, expect PackageKit to be DBus-activated so we can
    work correctly with PackageKit 1.1.1. (LP: #1496292)
  * debian/patches/pk1.1.1-compat.patch: remove API that is no longer there
    in PackageKit 1.1.1: GET_DEPENDS and GET_REQUIRES.
  * debian/control:
    - drop python3-aptdaemon.pkcompat binary package.
    - aptdaemon Breaks/Replaces python3-aptdaemon.pkcompat for transition.
    - Depends on gir1.2-packagekitglib-1.0 (>= 1.1.1) now, to enforce using
      PackageKit 1.1; which drops GET_DEPENDS and GET_REQUIRES.

 -- Mathieu Trudel-Lapierre <email address hidden>  Mon, 06 Jun 2016 20:22:54 -0400
Superseded in yakkety-release on 2016-08-13
Published in xenial-release on 2015-10-22
Published in wily-release on 2015-10-12
Deleted in wily-proposed (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu14) wily; urgency=medium

  * debian/patches/lp1439769-aptdaemon-autoinstall.patch: Display the flag
    name in the error message, not the package name.

 -- Brian Murray <email address hidden>  Mon, 12 Oct 2015 09:02:44 -0700
Superseded in wily-release on 2015-10-12
Deleted in wily-proposed on 2015-10-13 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu13) wily; urgency=medium

  * Drop Vcs-Bzr from debian/control:
    - The branch pointed to is "ubuntu-vivid".  This is obviously incorrect
      for wily; and you shouldn't have to do a busywork update of Vcs-Bzr
      with each release.
    - Uploaders do not have commit rights on the listed branch.  A Vcs-Bzr
      field should only point to a branch that uploaders have rights to,
      otherwise it can never be authoritative.
  * debian/patches/lp1439769-aptdaemon-autoinstall.patch: Take a flag to
    indicate whether a requested package is auto-installed.  Thanks to
    Michael Vogt <email address hidden>.  Closes LP: #1439769.

 -- Steve Langasek <email address hidden>  Tue, 06 Oct 2015 11:33:41 -0700
Superseded in wily-release on 2015-10-09
Deleted in wily-proposed on 2015-10-10 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu12) wily; urgency=medium

  * debian/patches/fix-observed-linitian-error.diff: drop Ubuntu patch that
    was added this cycle, it's not needed with the recent lintian change

 -- Sebastien Bacher <email address hidden>  Thu, 01 Oct 2015 12:22:11 +0200
Superseded in wily-proposed on 2015-10-01
aptdaemon (1.1.1+bzr982-0ubuntu11) wily; urgency=medium

  * debian/patches/lintian_deprecated_error.patch:
    - don't list the binary-file-compressed-with-upx lintian error, it was
      removed from Debian/Ubuntu and is leading software-center to display
      warnings about skype or chrome debs (lp: #1490169)

 -- Sebastien Bacher <email address hidden>  Wed, 30 Sep 2015 16:46:03 +0200
Superseded in wily-release on 2015-10-01
Deleted in wily-proposed on 2015-10-02 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu10) wily; urgency=medium

  * debian/control: let python(3)-aptdaemon Depends on
      gir1.2-packagekitglib-1.0 (<< 0.9) (restrict the version because
      0.9 is incompatible, also that version was uploaded to
      wily-proposed and deleted but some users got it installed, that
      way apt knows there is a conflict to resolve) (lp: #1496292)
  * debian/patches/key_value_typo.patch:
    - remove trailing "," causing a TypeError, thanks Justin McPherson

 -- Sebastien Bacher <email address hidden>  Tue, 29 Sep 2015 16:40:25 +0200
Superseded in wily-release on 2015-09-30
Deleted in wily-proposed on 2015-10-01 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu9) wily; urgency=medium

  * Fix package installation by not considering the "data" which is bogus to
    pass to apt. (LP: #1352654)
  * Fix undefined NATIVE_ARCH by getting it from the worker.

 -- Iain Lane <email address hidden>  Mon, 28 Sep 2015 18:10:56 +0100
Superseded in wily-release on 2015-09-28
Deleted in wily-proposed on 2015-09-30 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu8) wily; urgency=medium

  * debian/patches/lp1487087.diff: Always avoid the bogus mock
    .assert_called() call.

 -- Barry Warsaw <email address hidden>  Thu, 20 Aug 2015 15:33:06 -0400
Superseded in wily-proposed on 2015-08-20
aptdaemon (1.1.1+bzr982-0ubuntu7) wily; urgency=medium

  * debian/patches/lp1487087.diff: Added to skip a bogus .assert_called()
    call on a mock which no longer exists, but only under Python 3.5.

 -- Barry Warsaw <email address hidden>  Thu, 20 Aug 2015 10:17:28 -0400
Superseded in wily-proposed on 2015-08-20
aptdaemon (1.1.1+bzr982-0ubuntu6) wily; urgency=medium

  * debian/patches/pep8-accommodations.diff: Added to make the PEP 8 test
    not fail autopkgtests due to pep8 tool bogosity.
  * debian/patches/fix-observed-linitian-error.diff: Adjust the test to
    check for the lintian error actually observed.

 -- Barry Warsaw <email address hidden>  Wed, 19 Aug 2015 11:40:43 -0400
Superseded in wily-release on 2015-08-20
Deleted in wily-proposed on 2015-08-22 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu5) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <email address hidden>  Wed, 22 Jul 2015 04:09:09 +0000
Superseded in wily-release on 2015-07-22
Deleted in wily-proposed on 2015-07-23 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu4) wily; urgency=low

  [ Michael Vogt ]
  * SECURITY UPDATE: information disclosure via simulate dbus method
    (LP: #1449587)
    - debian/patches/lp1449587.diff: drop privileges when running lintian,
      update tests.
    - CVE-2015-1323

 -- Marc Deslauriers <email address hidden>  Tue, 16 Jun 2015 13:38:47 -0400
Published in trusty-updates on 2015-06-16
Published in trusty-security on 2015-06-16
aptdaemon (1.1.1-1ubuntu5.2) trusty-security; urgency=low

  * SECURITY UPDATE: information disclosure via simulate dbus method
    (LP: #1449587)
    - debian/patches/lp1449587.diff: drop privileges when running lintian,
      update tests.
    - CVE-2015-1323

 -- Michael Vogt <email address hidden>  Fri, 29 May 2015 22:03:59 +0200
Published in precise-updates on 2015-06-16
Published in precise-security on 2015-06-16
aptdaemon (0.43+bzr805-0ubuntu10) precise-security; urgency=low

  * SECURITY UPDATE: information disclosure via simulate dbus method
    (LP: #1449587)
    - debian/patches/lp1449587.diff: drop privileges when running lintian,
      update tests.
    - CVE-2015-1323

 -- Michael Vogt <email address hidden>  Tue, 02 Jun 2015 09:01:58 +0200
Published in vivid-updates on 2015-06-16
Published in vivid-security on 2015-06-16
aptdaemon (1.1.1+bzr982-0ubuntu3.1) vivid-security; urgency=low

  * SECURITY UPDATE: information disclosure via simulate dbus method
    (LP: #1449587)
    - debian/patches/lp1449587.diff: drop privileges when running lintian,
      update tests.
    - CVE-2015-1323

 -- Michael Vogt <email address hidden>  Fri, 29 May 2015 19:00:31 +0200
Obsolete in utopic-updates on 2016-11-03
Obsolete in utopic-security on 2016-11-03
aptdaemon (1.1.1+bzr980-0ubuntu1.1) utopic-security; urgency=low

  * SECURITY UPDATE: information disclosure via simulate dbus method
    (LP: #1449587)
    - debian/patches/lp1449587.diff: drop privileges when running lintian,
      update tests.
    - CVE-2015-1323

 -- Michael Vogt <email address hidden>  Fri, 29 May 2015 19:03:05 +0200
Superseded in wily-release on 2015-06-16
Published in vivid-release on 2015-04-16
Deleted in vivid-proposed (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu3) vivid; urgency=low

  * debian/patches/lp1356823.diff:
    - try harder to fix crash #1356823
 -- Michael Vogt <email address hidden>   Thu, 16 Apr 2015 10:05:07 -0500
Superseded in vivid-release on 2015-04-16
Deleted in vivid-proposed on 2015-04-17 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu2) vivid; urgency=low

  * debian/patches/lp1356823.diff:
    - fix crash #1356823
 -- Michael Vogt <email address hidden>   Fri, 10 Apr 2015 10:01:10 +0200
Superseded in vivid-release on 2015-04-10
Deleted in vivid-proposed on 2015-04-11 (Reason: moved to release)
aptdaemon (1.1.1+bzr982-0ubuntu1) vivid; urgency=low

  * fix crash in _on_progress_details() (LP: #1436725)
 -- Michael Vogt <email address hidden>   Tue, 07 Apr 2015 11:34:02 +0200
Superseded in vivid-release on 2015-04-07
Deleted in vivid-proposed on 2015-04-08 (Reason: moved to release)
aptdaemon (1.1.1+bzr981-0ubuntu2) vivid; urgency=medium

  * autopkgtest: Don't let root reports in /var/crash fail the test.
 -- Martin Pitt <email address hidden>   Mon, 01 Dec 2014 08:01:17 +0100
Superseded in vivid-release on 2014-12-01
Deleted in vivid-proposed on 2014-12-02 (Reason: moved to release)
aptdaemon (1.1.1+bzr981-0ubuntu1) vivid; urgency=medium

  * New bzr snapshot:
    + Port to VTE 2.91
  * Update Vcs-* to point to vivid branch
  * Standards-Version → 3.9.6, no changes required
 -- Iain Lane <email address hidden>   Tue, 11 Nov 2014 16:05:26 +0000
Superseded in vivid-release on 2014-11-12
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
aptdaemon (1.1.1+bzr980-0ubuntu1) utopic; urgency=medium

  * New bzr snapshot:
    - Drop obsolete gobject compatibility and gtkwidgets
    - Drop obsolete dbus.glib imports
    - Do not crash when "#" are in comments
  * Drop fix-configparser.patch, applied upstream.
  * Refresh other patches.
  * Drop python-aptdaemon.gtkwidgets and python-aptdaemon-gtk binaries. These
    have been obsolete for a long time, unmaintained/untested, and there are
    no reverse dependencies any more.
 -- Martin Pitt <email address hidden>   Thu, 21 Aug 2014 15:47:42 +0200
Superseded in utopic-release on 2014-08-22
Deleted in utopic-proposed on 2014-09-11 (Reason: moved to release)
aptdaemon (1.1.1+bzr973-1ubuntu4) utopic; urgency=medium

  * debian/python3-aptdaemon.pkcompat.install:
    - install pkutils.py, which is required by pkcompat.py.
 -- Alberto Milone <email address hidden>   Wed, 30 Jul 2014 15:47:24 +0200
Superseded in utopic-release on 2014-07-31
Deleted in utopic-proposed on 2014-08-02 (Reason: moved to release)
aptdaemon (1.1.1+bzr973-1ubuntu3) utopic; urgency=medium

  * New bzr snapshot to fix PEP-8 errors.
  * Update Vcs-* for utopic branch.
 -- Martin Pitt <email address hidden>   Thu, 26 Jun 2014 09:26:20 +0200
Superseded in utopic-release on 2014-06-26
Deleted in utopic-proposed on 2014-06-27 (Reason: moved to release)
aptdaemon (1.1.1+bzr970-1ubuntu2) utopic; urgency=low

  * debian/patches/lp1153725-temporary-workaround.patch:
    - dropped, tests work fine (LP: #1153725)
 -- Michael Vogt <email address hidden>   Thu, 12 Jun 2014 10:36:33 +0200
Superseded in trusty-updates on 2015-06-16
Deleted in trusty-proposed on 2015-06-17 (Reason: moved to -updates)
aptdaemon (1.1.1-1ubuntu5.1) trusty-proposed; urgency=low

  [ Brian Murray ]
  * debian/patches/upstream-include-pkg-version.patch:
    - include the package version in the crashfile (LP: #1324833)
 -- Michael Vogt <email address hidden>   Fri, 06 Jun 2014 13:14:02 +0200

Available diffs

Superseded in utopic-proposed on 2014-06-12
aptdaemon (1.1.1+bzr970-1ubuntu1) utopic; urgency=low

  * New bzr snapshot
    - lp:~brian-murray/aptdaemon/package-version-in-crash
      + include package version in crash reports
  * patches already upstream:
    + upstream_lintian_2.5.18.patch
    + upstream_lp1024590.patch
    + lp1266844.patch
    + fix-ftbs.patch
 -- Michael Vogt <email address hidden>   Fri, 06 Jun 2014 11:27:25 +0200
Superseded in utopic-release on 2014-06-12
Published in trusty-release on 2014-04-11
Deleted in trusty-proposed (Reason: moved to release)
aptdaemon (1.1.1-1ubuntu5) trusty; urgency=low

  * debian/python3-aptdaemon.test.install:
    - install all test deb files
  * debian/patches/dbus_timeout.patch:
    - fix pep8 issue
  * debian/patches/fix-configparser.patch:
    - do not crash when "#" are in comments
  * debian/patches/py3_inheritable.patch:
    - set status-fds inheritable to fix InstallFiles()
  * debian/tests/control:
    - add missing fakeroot dependency
    - add missing lintian dependency
 -- Michael Vogt <email address hidden>   Fri, 11 Apr 2014 14:48:52 +0200

Available diffs

Superseded in trusty-release on 2014-04-11
Deleted in trusty-proposed on 2014-04-12 (Reason: moved to release)
aptdaemon (1.1.1-1ubuntu4) trusty; urgency=low

  * debian/patches/dbus_timeout.patch
    - increase dbus timeouts to avoid a dbus timeout error if a
      policykit authentication dialog is not answered for a while
  * debian/patches/lp1266844.patch:
    - workaround for LP: #1266844, thanks to Brian Murray
 -- Michael Vogt <email address hidden>   Thu, 10 Apr 2014 16:28:03 +0200

Available diffs

Superseded in trusty-release on 2014-04-11
Deleted in trusty-proposed on 2014-04-12 (Reason: moved to release)
aptdaemon (1.1.1-1ubuntu3) trusty; urgency=medium

  * Rewrite the python shebang path to /usr/bin/python3.
 -- Matthias Klose <email address hidden>   Thu, 20 Feb 2014 17:39:44 +0100
Superseded in trusty-proposed on 2014-02-20
aptdaemon (1.1.1-1ubuntu2) trusty; urgency=low

  * Backport fix for LP: #1024590 from trunk r963
 -- Michael Vogt <email address hidden>   Thu, 05 Dec 2013 14:39:32 +0100

Available diffs

Obsolete in saucy-updates on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to -updates)
aptdaemon (1.1.1-0ubuntu4) saucy-proposed; urgency=low

  * Handle the situation where adj may be none, pulled from upstream revision
    963 (LP: #1024590).  Thanks to Michael Vogt for the fix.
 -- Brian Murray <email address hidden>   Wed, 04 Dec 2013 10:23:52 -0800

Available diffs

Superseded in trusty-release on 2014-03-13
Deleted in trusty-proposed on 2014-03-14 (Reason: moved to release)
aptdaemon (1.1.1-1ubuntu1) trusty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Build-depend on dh-translations and use it in debian/rules.
    - Add upstream_lintian_2.5.18.patch: Recently updated lintian 2.5.18
      dropped $LINTIAN_ROOT, adjust tests accordingly (cherrypicked from
      upstream trunk). Fixes autopkgtest.
    - fix_ftbs.patch: Fix FTBFS (LP: #1226100) with latest pep8 version.
  * Move Vcs-Bzr to trusty branch.

Available diffs

Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
aptdaemon (1.1.1-0ubuntu3) saucy; urgency=low

  * Add upstream_lintian_2.5.18.patch: Recently updated lintian 2.5.18 dropped
    $LINTIAN_ROOT, adjust tests accordingly (cherrypicked from upstream
    trunk). Fixes autopkgtest.
 -- Martin Pitt <email address hidden>   Mon, 14 Oct 2013 15:28:35 +0200

Available diffs

Superseded in saucy-release on 2013-10-14
Deleted in saucy-proposed on 2013-10-15 (Reason: moved to release)
aptdaemon (1.1.1-0ubuntu2) saucy; urgency=low

  * debian/patches:
    - fix_ftbs.patch: Fix FTBS (LP: #1226100) with latest pep8 version
 -- Sebastian Heinlein <email address hidden>   Tue, 17 Sep 2013 07:02:02 +0200
Superseded in saucy-proposed on 2013-09-18
aptdaemon (1.1.1-0ubuntu1) saucy; urgency=low

  * New upstream release:
     - Updated and improved PackageKit 0.8 D-Bus interface support
     - Configuration file conflicts now default to replace
     - Colored console output
     - Minor bug fixes
  *debian/control:
     - Require the latest PackageKit-Glib version
     - Add breaks for the obsoleted PackageKit client libraries of the 0.7.x
       series
  * debian/patches:
     - apt-dbus-text-api.patch: merged upstream
     - debconf-flush.patch: merged upstream
     - fix-gobject-io-add-watch.patch: merged upstream
     - fix-lp898851.patch: merged upstream
     - lp1058038.patch: merged upstream
     - upstream-dropped-lintian-check.patch: merged upstream
     - upstream-pep8-fixes.patch: merged upstream
     - fix-high-trust-pkcompat.diff: updated
 -- Sebastian Heinlein <email address hidden>   Wed, 28 Aug 2013 06:51:50 +0200

Available diffs

Superseded in saucy-release on 2013-09-18
Deleted in saucy-proposed on 2013-09-19 (Reason: moved to release)
aptdaemon (1.0-0ubuntu10) saucy; urgency=low

  * Update Vcs-* to saucy branch.
  * Add upstream-dropped-lintian-check.patch: Drop
    missing-pre-dependency-on-multiarch-support, it was dropped from saucy
    lintian.
 -- Martin Pitt <email address hidden>   Thu, 06 Jun 2013 08:54:17 +0200

Available diffs

Superseded in saucy-release on 2013-06-06
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
aptdaemon (1.0-0ubuntu9) raring; urgency=low

  * Flush debconf-communicate stdin after writing to it
    (LP: #1163142, #1163163).
 -- Colin Watson <email address hidden>   Tue, 02 Apr 2013 14:07:01 +0100

Available diffs

Superseded in raring-release on 2013-04-02
Deleted in raring-proposed on 2013-04-03 (Reason: moved to release)
aptdaemon (1.0-0ubuntu8) raring; urgency=low

  *debian/patches/fix-lp898851.patch: Workaround a random crash during
   progress dialog.  Thanks to Sebastian Heinlein for the patch. (LP: #898851)
 -- Brian Murray <email address hidden>   Fri, 22 Mar 2013 15:09:13 -0700

Available diffs

Superseded in precise-updates on 2015-06-16
Deleted in precise-proposed on 2015-06-17 (Reason: moved to -updates)
aptdaemon (0.43+bzr805-0ubuntu9) precise-proposed; urgency=low

  * debian/patches/fix-lp-1120322.patch: Resolve crash if configuration file
    changes are only one line long (LP: #1120322)
 -- Brian Murray <email address hidden>   Wed, 20 Mar 2013 12:51:06 -0700
Superseded in raring-release on 2013-03-23
Deleted in raring-proposed on 2013-03-24 (Reason: moved to release)
aptdaemon (1.0-0ubuntu7) raring; urgency=low

  * debian/rules: Drop the hackery again to salvage the "whitelist directory"
    test case, and instead exclude it in lp1153725-temporary-workaround.patch
    as well. This fixes the failing autopkgtest.
 -- Martin Pitt <email address hidden>   Mon, 18 Mar 2013 14:27:32 +0100

Available diffs

Superseded in raring-release on 2013-03-18
Deleted in raring-proposed on 2013-03-19 (Reason: moved to release)
aptdaemon (1.0-0ubuntu6) raring; urgency=low

  [ Martin Pitt ]
  * Add gir1.2-vte-2.90 build and test dependency.
  * debian/rules: Wait for previous xvfb to finish before starting the next
    one.

  [ Barry Warsaw ]
  * debian/control:
    - Add Build-Depend on xvfb.
    - Bump Standards-Version to 3.9.4.
  * debian/rules: Run the tests under xvfb-run to avoid core dumps.
  * debian/patches/lp1153725-temporary-workaround.patch: Temporarily
    disable test which fails during the build.
  * debian/rules: Add the missing test directory and symlinks before running
    tests, as a workaround to LP #1153725. Clean up symlink directory in
    override_dh_auto_clean.
 -- Martin Pitt <email address hidden>   Mon, 18 Mar 2013 13:14:20 +0100
Superseded in raring-proposed on 2013-03-18
aptdaemon (1.0-0ubuntu5) raring; urgency=low

  * Add pep8 build dependency as well, as tests are called during package
    build.
  * disable-broken-test.patch: Disable harder, as a mere rename doesn't work
    with test auto-discovery.
  * Add gir1.2-gtk-3.0 build and test dependencies so that gtk3widgets can
    import Gdk.
 -- Martin Pitt <email address hidden>   Mon, 18 Mar 2013 12:17:19 +0100

Available diffs

Superseded in raring-proposed on 2013-03-18
aptdaemon (1.0-0ubuntu4) raring; urgency=low

  * Add missing pep8 test dependency.
  * Add upstream-pep8-fixes.patch: Fix some PEP-8 issues, caught by test
    suite.
  * Add disable-broken-test.patch: Disable
    test/data/high-trust-repository-whitelist.d/ test, as this directory and
    its contents are not actually shipped in the released tarball. Fixes
    autopkgtest failure.
 -- Martin Pitt <email address hidden>   Mon, 18 Mar 2013 11:16:11 +0100

Available diffs

Superseded in raring-release on 2013-03-18
Deleted in raring-proposed on 2013-03-19 (Reason: moved to release)
aptdaemon (1.0-0ubuntu3) raring; urgency=low

  * Make the DEP-8 tests depend on xvfb.
 -- Colin Watson <email address hidden>   Fri, 15 Mar 2013 13:12:30 +0000

Available diffs

Superseded in raring-release on 2013-03-15
Deleted in raring-proposed on 2013-03-16 (Reason: moved to release)
aptdaemon (1.0-0ubuntu2) raring; urgency=low

  * Run DEP-8 tests under xvfb-run, to match tests run during the build.
 -- Colin Watson <email address hidden>   Fri, 15 Mar 2013 11:34:25 +0000

Available diffs

Superseded in raring-release on 2013-03-15
Deleted in raring-proposed on 2013-03-16 (Reason: moved to release)
aptdaemon (1.0-0ubuntu1) raring; urgency=low

  * New stable bug fix release 1.0:
    - Add PEP8 compliance and a corresponding test
    - Fix PackageKit tests if an http proxy is set (LP: #1050799)
    - Fix crash for Python GTK2 clients (LP: #1108552)
    - Fix crash if configuration file changes are only one line long -
      thanks to Barry Warsaw and Robert Collins (LP: #1120322)
    - Fix crash if the removal of a package valid candidate is simulated
    - Allow repository release names to include dots
    - Convert aptdaemon exceptions to PackageKit ones in the compat
      layer (currently only invalid input ant failed authorization are
      supported)
    - Store the default values in the PackageKit transaction interface
      statically typed
    - Fix setting the speed property in the PackageKit interface
    - Several grammar and typo fixes in user interface messages and
      documentation (LP: #1112492)
  * debian/patches:
    - fix-high-trust-pkcompat.diff: updated
    - apt-dbus-text-api.patch: updated
    - fix-gobject-io-add-watch.patch: Added. Always include the priority
      in a GLib.io_add_watch() call to not cause problems with the backwards
      compatibility

  [ Barry Warsaw ]
  * debian/control:
    - Add Build-Depend on gir1.2-gnomedesktop-3.0, gir1.2-vte-2.90, pep8,
      and xvfb.
    - Bump Standards-Version to 3.9.4.
  * debian/rules: Run the tests under xvfb-run to avoid core dumps.
  * debian/patches/pep8-fixes.patch: Fix PEP 8 violations.
  * debian/patches/lp1153725-temporary-workaround.patch: Temporarily
    disable two tests which fail during the build.
  * debian/rules:
    - Add the missing test directory and symlinks before running tests.
    - Clean up symlink directory in override_dh_auto_clean.
    - Sleep before the xvfb-run with a different Python version.  Tear
      down of xvfb-run resources is apparently not immediate.
 -- Sebastian Heinlein <email address hidden>   Mon, 11 Mar 2013 07:02:07 +0100
Superseded in precise-updates on 2013-04-22
Deleted in precise-proposed on 2013-04-24 (Reason: moved to -updates)
aptdaemon (0.43+bzr805-0ubuntu8) precise-proposed; urgency=low

  * Don't change the automatic installed state when upgrading package
    (Thanks a lot to Daniel Hartwig, LP: #1078544)
 -- Brian Murray <email address hidden>   Fri, 11 Jan 2013 14:36:14 -0800
Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
aptdaemon (0.45+bzr861-0ubuntu9.1.2) quantal-proposed; urgency=low

  * Don't change the automatic installed state when upgrading package
    (Thanks a lot to Daniel Hartwig, LP: #1078544)
 -- Brian Murray <email address hidden>   Fri, 11 Jan 2013 13:42:28 -0800
Superseded in raring-release on 2013-03-14
Deleted in raring-proposed on 2013-03-16 (Reason: moved to release)
aptdaemon (0.45+bzr883-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - Don't change the automatic installed state when upgrading package
      (Thanks a lot to Daniel Hartwig, LP: #1078544)
    - Add a regression test for LP: #750958
    - Don't depend on dpkg-dev to select the correct lintian profile.
      (Fixes LP: #1066457)
    -  If the user cannot be autohrized (either missing privileges
       or a cancelled password dialog) the transaction will fail.
    - Don't fail if we want to remove a a package without a
      candidate during transaction simulation.
 -- Michael Vogt <email address hidden>   Mon, 17 Dec 2012 11:45:14 +0100
Obsolete in oneiric-updates on 2015-04-24
Obsolete in oneiric-security on 2015-04-24
aptdaemon (0.43+bzr697-0ubuntu1.3) oneiric-security; urgency=low

  * SECURITY UPDATE: check downloaded keyid (LP: #1052789)
    - CVE-2012-0962
 -- Michael Vogt <email address hidden>   Fri, 12 Oct 2012 16:20:20 +0200
Superseded in precise-updates on 2013-03-07
Superseded in precise-security on 2015-06-16
aptdaemon (0.43+bzr805-0ubuntu7) precise-security; urgency=low

  * SECURITY UPDATE: check downloaded keyid (LP: #1052789)
    - CVE-2012-0962
 -- Michael Vogt <email address hidden>   Fri, 12 Oct 2012 15:59:48 +0200
Superseded in quantal-proposed on 2013-01-12
aptdaemon (0.45+bzr861-0ubuntu9.1.1) quantal-proposed; urgency=low

  * debian/patches/fix_lintian_lp1060505.patch:
    - ignore lintian "file-in-etc-not-marked-as-conffile" (LP: #1060505)
 -- Michael Vogt <email address hidden>   Mon, 03 Dec 2012 08:33:11 +0100
Superseded in raring-release on 2012-12-17
Deleted in raring-proposed on 2012-12-18 (Reason: moved to release)
aptdaemon (0.45+bzr877-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - ignore lintian "file-in-etc-not-marked-as-conffile" (LP: #1060505)
 -- Michael Vogt <email address hidden>   Fri, 30 Nov 2012 08:28:18 +0100
Superseded in raring-release on 2012-11-30
Deleted in raring-proposed on 2012-12-01 (Reason: moved to release)
aptdaemon (0.45+bzr876-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - fix signal handling with latest python-gi
    - support /* */ comments in apt.conf{,.d}
 -- Michael Vogt <email address hidden>   Wed, 28 Nov 2012 14:19:11 +0100
Superseded in raring-release on 2012-11-28
Deleted in raring-proposed on 2012-11-29 (Reason: moved to release)
aptdaemon (0.45+bzr874-0ubuntu1) raring; urgency=low

  * New upstream snapshot:
    - Fix ClientTest.test_tid_caching without a system D-BUS.
 -- Martin Pitt <email address hidden>   Mon, 26 Nov 2012 12:42:15 +0100
Superseded in raring-proposed on 2012-11-26
aptdaemon (0.45+bzr873-0ubuntu1) raring; urgency=low

  * debian/control: Update Vcs-* for raring branch.
  * New upstream snapshot:
    - Open Apport crash report files in binary mode (LP #1054984)
    - Fix unicode decode error in py2 clients (LP #846044)
    - Fix tests for stricter GPG key requirements of current python3-apt
      (LP #1016643)
    - Reorganize transaction ID caching to avoid using pygobject internals and
      work with pygobject 3.7.x
    - Fix deprecated GObject API calls
  * Drop patches applied upstream:
    - binary-mode-report-writing.patch
    - test-long-keyids.patch
    - lp846044.patch
    - test-debconf-priority.patch
 -- Martin Pitt <email address hidden>   Mon, 26 Nov 2012 12:22:02 +0100
Superseded in precise-updates on 2012-12-17
Deleted in precise-proposed on 2012-12-18 (Reason: moved to -updates)
aptdaemon (0.43+bzr805-0ubuntu6) precise-proposed; urgency=low

  * Fix crash in widget's diff view if a @@ line does not have a range
    (LP: #875879)
 -- Brian Murray <email address hidden>   Mon, 29 Oct 2012 05:58:07 -0700
Superseded in raring-release on 2012-11-26
Deleted in raring-proposed on 2012-11-27 (Reason: moved to release)
aptdaemon (0.45+bzr861-0ubuntu9.2) raring; urgency=low

  * Rebuild against python3.3.
 -- Dmitrijs Ledkovs <email address hidden>   Fri, 26 Oct 2012 18:56:02 +0100
Superseded in raring-release on 2012-10-26
Obsolete in quantal-release on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to release)
aptdaemon (0.45+bzr861-0ubuntu9.1) quantal-proposed; urgency=low

  [ Sebastian Heinlein ]
  * do not issue a "quality warning" if dpkg-vendor is missing
    (LP: #1066457)
 -- Michael Vogt <email address hidden>   Tue, 16 Oct 2012 13:58:07 +0200
Superseded in quantal-release on 2012-10-16
aptdaemon (0.45+bzr861-0ubuntu9) quantal; urgency=low

  * Workaround that ensures that for sys.getfilesystemencoding()
    "utf8" is used when the daemon is dbus auto-activatied (LP: #1058038)
 -- Michael Vogt <email address hidden>   Tue, 09 Oct 2012 14:27:36 +0200
Superseded in quantal-release on 2012-10-09
aptdaemon (0.45+bzr861-0ubuntu8) quantal; urgency=low

  * debian/patches/lp846044.patch:
    - fix unicode decode error in py2 clients (LP: #846044)
 -- Michael Vogt <email address hidden>   Mon, 08 Oct 2012 15:57:29 +0200
Superseded in quantal-release on 2012-10-08
aptdaemon (0.45+bzr861-0ubuntu7) quantal; urgency=low

  * Following https://bugs.launchpad.net/bugs/1016643,
    apt.auth.add_key_from_keyserver requires long (v4) keyids.  Fix
    tests.test_pk to account for that.
  * Force debconf priority to high for test_debconf.
 -- Colin Watson <email address hidden>   Sun, 07 Oct 2012 15:28:18 +0100
Superseded in quantal-release on 2012-10-07
aptdaemon (0.45+bzr861-0ubuntu6) quantal; urgency=low

  * Ensure the transaction is simulated in the pkcompat layer to
    ensure the high-trust repo support works from the packagekit
    compatibilty layer. This is needed for the unity-webapps
    passwordless install to work.
 -- Michael Vogt <email address hidden>   Thu, 04 Oct 2012 16:58:34 +0200
Superseded in quantal-release on 2012-10-04
aptdaemon (0.45+bzr861-0ubuntu5) quantal; urgency=low

  * debian/patches/binary-mode-report-writing.patch: open our crash
    report for writing in binary mode.  Closes LP: #1054984.
 -- Steve Langasek <email address hidden>   Wed, 26 Sep 2012 10:24:48 -0700
Superseded in precise-updates on 2012-11-07
Deleted in precise-proposed on 2012-11-09 (Reason: moved to -updates)
aptdaemon (0.43+bzr805-0ubuntu5) precise-proposed; urgency=low

  * debian/patches/apt-dbus-text-api.patch:
    - Convert Origin.label from python-apt API to python-dbus API, for
      Python 2 compatibility (LP: #978654).
 -- Colin Watson <email address hidden>   Mon, 17 Sep 2012 15:17:56 +0100
Superseded in quantal-release on 2012-09-27
aptdaemon (0.45+bzr861-0ubuntu4) quantal; urgency=low

  * debian/patches/apt-dbus-text-api.patch:
    - Convert Origin.label from python-apt API to python-dbus API, for
      Python 2 compatibility (LP: #978654).
 -- Colin Watson <email address hidden>   Mon, 17 Sep 2012 15:12:38 +0100
Superseded in quantal-release on 2012-09-17
aptdaemon (0.45+bzr861-0ubuntu3) quantal; urgency=low

  * debian/tests/control: Added missing dependencies required to run
    autopkgtest. Thanks Jean-Baptiste Lallement!
 -- Martin Pitt <email address hidden>   Thu, 13 Sep 2012 19:17:22 +0200
Superseded in quantal-release on 2012-09-13
aptdaemon (0.45+bzr861-0ubuntu2) quantal; urgency=low

  * Add autopkgtest integration. Thanks Jean-Baptiste Lallement!
 -- Martin Pitt <email address hidden>   Thu, 13 Sep 2012 12:45:12 +0200
Superseded in quantal-release on 2012-09-13
aptdaemon (0.45+bzr861-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - lp:~mvo/aptdaemon/support-for-whitelisted-repositories that adds
      support for a new trusted-repo policykit action LP: #1035207
    - lp:~vorlon/aptdaemon/lp.1034806 that fixes unicode/str errors
      LP: #768691, #926340, #1034806
  * debian/patches/fix_gettext_return_value_type.patch:
    - dropped, merged as part of lp:~vorlon/aptdaemon/lp.1034806
 -- Michael Vogt <email address hidden>   Thu, 13 Sep 2012 09:13:07 +0200
Superseded in quantal-release on 2012-09-13
aptdaemon (0.45+bzr857-0ubuntu1) quantal; urgency=low

  * fix FTBFS in the tests when LANG/LANGUAGE is unset
 -- Michael Vogt <email address hidden>   Wed, 12 Sep 2012 12:02:38 +0200
Superseded in quantal-release on 2012-09-12
aptdaemon (0.45+bzr856-0ubuntu1) quantal; urgency=low

  * New upstream snapshot:
    - pkcompat: Fix get_files() LP: #1040619 (thanks to Martin Pitt)
    - Fix crash when run inside non-ascii dirs LP: #1044900
    - Fix crash in widget's diff view if a @@ line does not have a range
      LP: #875879 (thanks to Brian Murray)
    - Support credentials change when adding a repository that is already
      in sources.list/auth.conf
 -- Michael Vogt <email address hidden>   Fri, 07 Sep 2012 10:20:10 +0200
Superseded in quantal-release on 2012-09-07
aptdaemon (0.45+bzr852-0ubuntu2) quantal; urgency=low

  * debian/patches/fix_gettext_return_value_type.patch: also return unicode
    from aptdaemon.utils.IsoCodes.get_localised_name(). (LP: #1034806)
 -- Steve Langasek <email address hidden>   Sat, 11 Aug 2012 01:39:05 +0000
Superseded in precise-updates on 2012-10-24
Deleted in precise-proposed on 2012-10-25 (Reason: moved to -updates)
aptdaemon (0.43+bzr805-0ubuntu4) precise-proposed; urgency=low

  * debian/patches/fix_gettext_return_value_type.patch: also return unicode
    from aptdaemon.utils.IsoCodes.get_localised_name(). (LP: #1034806)

175 of 194 results